
Tomas Tech Co.,Ltd. - Sales support #449

Parent project # 533 (New): [PJ******]General and administrative expenses

Sales for new and follow up each customer

21 Feb 2024 19:05 - Ryo Nozaki

Status: New Start date: 01 Feb 2024

Priority: Normal Due date: 28 Jun 2024

Assignee: Ryo Nozaki % Done: 90%

Category:  Estimated time: 50.00 hours

Target version:  Spent time: 75.00 hours

Finish date:    

Description

The man-hours related to sales activities are summarized for Feblary here.

History

#1 - 01 May 2024 17:09 - Ryo Nozaki

- Due date changed from 29 Feb 2024 to 28 Jun 2024

#2 - 04 May 2024 17:22 - Ryo Nozaki

- Project changed from 42 to Tomas Tech Co.,Ltd.

- Parent task set to #533
